> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1smsroutingplans simulateroutes



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/sms/routing/plans/{plan}/simulate/routes
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/plans/{plan}/simulate/routes:
    post:
      tags:
        - SmsRoutingPlans
      operationId: sms.routing.simulate.routes
      parameters:
        - name: plan
          in: path
          required: true
          description: The plan ID
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                filter_segment_id:
                  type:
                    - string
                    - 'null'
                  format: uuid
                segment_ids:
                  type: array
                  items:
                    type: string
                    format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        contacts_count:
                          type: integer
                        country_id:
                          type: integer
                        network_id:
                          type:
                            - integer
                            - 'null'
                        network_brand:
                          type:
                            - string
                            - 'null'
                        routes:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                              company_id:
                                type: string
                              cost:
                                type: number
                              rate_id:
                                type: string
                            required:
                              - id
                              - name
                              - company_id
                              - cost
                              - rate_id
                      required:
                        - contacts_count
                        - country_id
                        - network_id
                        - network_brand
                        - routes
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````